## org.openni
Class Point2D<T>

    java.lang.Object
      org.openni.Point2D<T>

    public class Point2D<T>

extends java.lang.Object

The Point2D object encapsulate 2 Dimension point

Constructor Summary
`Point2D(T x, T y)` The Point2D constructor

Method Summary
`T` `getX()` Return X coordinate
`T` `getY()` Return X coordinate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point2D

    public Point2D(T x,
                   T y)

  The Point2D constructor

  Parameters:
    `x` - coordinate of the point
    `y` - coordinate of the point

Method Detail

### getX

    public T getX()

  Return X coordinate

  Returns:
    X coordinate

### getY

    public T getY()

  Return X coordinate

  Returns:
    X coordinate